RSAPrivateCrtKeyParameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.crypto.params

## Class RSAPrivateCrtKeyParameters

- java.lang.Object
- - org.bouncycastle.crypto.params.AsymmetricKeyParameter
  - - org.bouncycastle.crypto.params.RSAKeyParameters
    - - org.bouncycastle.crypto.params.RSAPrivateCrtKeyParameters

- All Implemented Interfaces:
    CipherParameters

      public class RSAPrivateCrtKeyParameters
      extends RSAKeyParameters

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAPrivateCrtKeyParameters(java.math.BigInteger modulus, java.math.BigInteger publicExponent, java.math.BigInteger privateExponent, java.math.BigInteger p, java.math.BigInteger q, java.math.BigInteger dP, java.math.BigInteger dQ, java.math.BigInteger qInv)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getDP()`
    `java.math.BigInteger` | `getDQ()`
    `java.math.BigInteger` | `getP()`
    `java.math.BigInteger` | `getPublicExponent()`
    `java.math.BigInteger` | `getQ()`
    `java.math.BigInteger` | `getQInv()`

    - ### Methods inherited from class org.bouncycastle.crypto.params.RSAKeyParameters

      `getExponent, getModulus`

    - ### Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter

      `isPrivate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RSAPrivateCrtKeyParameters

          public RSAPrivateCrtKeyParameters(java.math.BigInteger modulus,
                                    java.math.BigInteger publicExponent,
                                    java.math.BigInteger privateExponent,
                                    java.math.BigInteger p,
                                    java.math.BigInteger q,
                                    java.math.BigInteger dP,
                                    java.math.BigInteger dQ,
                                    java.math.BigInteger qInv)

  - ### Method Detail

    - #### getPublicExponent

          public java.math.BigInteger getPublicExponent()

    - #### getP

          public java.math.BigInteger getP()

    - #### getQ

          public java.math.BigInteger getQ()

    - #### getDP

          public java.math.BigInteger getDP()

    - #### getDQ

          public java.math.BigInteger getDQ()

    - #### getQInv

          public java.math.BigInteger getQInv()